# ![img](/img/logo.png) Share Freedom - browser extension

Share the current tab on the [fediverse](https://fediverse.party/).

[![Firefox Add-on](/img/badge-amo.png)](https://addons.mozilla.org/en-US/firefox/addon/share-freedom/) 


## Features

Simplest add-on for the fediverse. Share web pages right from the toolbar button.

Supported services/protocols:
- Gnusocial
- Mastodon / Misskey
- Hubzilla
- Diaspora
- Friendica
- Socialhome
- Lemmy
- Pleroma
- Osada / Zap / Zot6
- XMPP


## Screenshots

![img](/img/screenshot_1.png)
![img](/img/screenshot_2.png)


## Build

You need Node.js/npm to use the command line tool web-ext

`npm install --global web-ext`

then, use the next command to generate the package (.zip file)

`web-ext build`

See [web-ext page](https://extensionworkshop.com/documentation/develop/getting-started-with-web-ext/).

**Optional:** Add-ons Linter by Mozilla

`npm install -g addons-linter`

See [repo](https://github.com/mozilla/addons-linter).


## Contributing

You can contribute in the following ways:

-   Finding and reporting bugs
-   Contributing code to the project by fixing bugs or implementing features


### Bug reports

Bug reports and feature suggestions can be submitted to [Gitlab Issues](https://gitlab.com/mickie1/share-freedom-extension/issues). Please make sure that you are not submitting duplicates, and that a similar report or request has not already been resolved or rejected in the past using the search function. Please also use descriptive, concise titles.


### Pull request

Please use clean, concise titles for your pull requests.


## Invite an ice cream

You can collaborate with __donations__ for the project :)

__faircoins:__ fVXruVLErxawnKAchcfbMQXya8YYYPvaZN

__Bitcoins:__ 15Y9cBeGhGmVGZxFQvQCsQhcCvxgzvKmcR

__Liberapay__ https://liberapay.com/mickie/

![](/img/helado.png)
[CC-BY 4.0 by Vincent Le Moign](https://commons.wikimedia.org/wiki/File:552-soft-ice-cream-2.svg)


## License

This program is licensed under GPL v3

Copyleft (ɔ) 2021 - Miguel (mickie)

See LICENSE file for more information.

